GDB (xrefs)

Public Member Functions | List of all members
static_probe_ops Class Referenceabstract

`#include "probe.h"`

Inheritance diagram for static_probe_ops:

## Public Member Functions
virtual bool | is_linespec (const char **linespecp) const =0
virtual void | get_probes (std::vector< probe *> *probes, struct objfile *objfile) const =0
virtual const char * | type_name () const =0
virtual bool | can_enable () const
virtual std::vector< struct info_probe_column > | gen_info_probes_table_header () const =0

## Detailed Description

Definition at line 52 of file probe.h.

## Member Function Documentation

## ◆ can_enable()

virtual bool static_probe_ops::can_enable | ( |  | ) | const
| inline virtual

Reimplemented in dtrace_static_probe_ops.

Definition at line 74 of file probe.h.

Referenced by disable_probes_command(), and enable_probes_command().

## ◆ gen_info_probes_table_header()

virtual std::vector<struct info_probe_column> static_probe_ops::gen_info_probes_table_header | ( |  | ) | const
| pure virtual

Implemented in stap_static_probe_ops, dtrace_static_probe_ops, and any_static_probe_ops.

Referenced by gen_ui_out_table_header_info(), get_number_extra_fields(), print_ui_out_info(), and print_ui_out_not_applicables().

## ◆ get_probes()

virtual void static_probe_ops::get_probes | ( | std::vector< probe *> * | probes,
|  | struct objfile * | objfile
| ) |  | const
| pure virtual

Implemented in stap_static_probe_ops, dtrace_static_probe_ops, and any_static_probe_ops.

## ◆ is_linespec()

virtual bool static_probe_ops::is_linespec | ( | const char ** | linespecp | ) | const
| pure virtual

Implemented in stap_static_probe_ops, dtrace_static_probe_ops, and any_static_probe_ops.

## ◆ type_name()

virtual const char* static_probe_ops::type_name | ( |  | ) | const
| pure virtual

Implemented in stap_static_probe_ops, dtrace_static_probe_ops, and any_static_probe_ops.

Referenced by info_probes_for_spops().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/probe.h